Axis2/C: DLL description

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# DLL description
[utilities]

## Typedefs
typedef struct axutil_dll_desc | axutil_dll_desc_t
typedef int(* | CREATE_FUNCT )(void **inst, const axutil_env_t *env)
typedef int(* | DELETE_FUNCT )(void *inst, const axutil_env_t *env)
typedef int | axis2_dll_type_t
## Functions
AXIS2_EXTERN axutil_dll_desc_t * | axutil_dll_desc_create (const axutil_env_t *env)
AXIS2_EXTERN void | axutil_dll_desc_free_void_arg (void *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN void | axutil_dll_desc_free (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_dll_desc_set_name (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, axis2_char_t *name)
AXIS2_EXTERN axis2_char_t * | axutil_dll_desc_get_name (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_dll_desc_set_type (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, axis2_dll_type_t type)
AXIS2_EXTERN axis2_dll_type_t | axutil_dll_desc_get_type (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_dll_desc_set_load_options (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, int options)
AXIS2_EXTERN int | axutil_dll_desc_get_load_options (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_dll_desc_set_dl_handler (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, AXIS2_DLHANDLER dl_handler)
AXIS2_EXTERN AXIS2_DLHANDLER | axutil_dll_desc_get_dl_handler (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_dll_desc_set_create_funct (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, CREATE_FUNCT funct)
AXIS2_EXTERN CREATE_FUNCT | axutil_dll_desc_get_create_funct (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_dll_desc_set_delete_funct (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, DELETE_FUNCT funct)
AXIS2_EXTERN DELETE_FUNCT | axutil_dll_desc_get_delete_funct (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_dll_desc_set_timestamp (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, AXIS2_TIME_T timestamp)
AXIS2_EXTERN axis2_status_t | axutil_dll_desc_set_error_code (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, axutil_error_codes_t error_code)
AXIS2_EXTERN axutil_error_codes_t | axutil_dll_desc_get_error_code (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN AXIS2_TIME_T | axutil_dll_desc_get_timestamp (axutil_dll_desc_t *dll_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_dll_desc_create_platform_specific_dll_name (axutil_dll_desc_t *dll_desc, const axutil_env_t *env, const axis2_char_t *class_name)

## Function Documentation

AXIS2_EXTERN axutil_dll_desc_t* axutil_dll_desc_create | ( | const axutil_env_t * | env | ) |

creates dll_desc struct

Parameters:

  | qname | qname, can be NULL

AXIS2_EXTERN axis2_char_t* axutil_dll_desc_create_platform_specific_dll_name | ( | axutil_dll_desc_t * | dll_desc,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | class_name |
| ) |  |  |

This function will accept the library name without any platform dependant prefixes or suffixes. It then prefix and suffix platform dependant prefix and suffix macros to the original name and return the platform specific dll name

Parameters:

  | class_name |

Returns:
  platform specific dll name

AXIS2_EXTERN axis2_char_t* axutil_dll_desc_get_name | ( | axutil_dll_desc_t * | dll_desc,
|  | const axutil_env_t * | env |
| ) |  |  |

Return the path qualified platform specific dll name

AXIS2_EXTERN axis2_status_t axutil_dll_desc_set_name | ( | axutil_dll_desc_t * | dll_desc,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | name |
| ) |  |  |

Set path qualified platform specific dll name